<script>
  import { createEventDispatcher } from "svelte";
  import SplitPane from "@sveltejs/svelte-repl/src/SplitPane.svelte";

  const dispatch = createEventDispatcher();
</script>

<style>
  .app {
    --second: gray;
  }
</style>

<div class="app absolute inset-0">
  <SplitPane
    type="horizontal"
    pos={33}
    on:change={event => dispatch('resizeHorizontal', { event })}>
    <section slot="a" class="absolute inset-0">
      <SplitPane
        type="vertical"
        pos={33}
        on:change={event => dispatch('resizeVertical', { event })}>
        <section slot="a">
          <slot name="a" />
        </section>
        <section slot="b">
          <slot name="b" />
        </section>
      </SplitPane>
    </section>
    <section slot="b" class="absolute inset-0">
      <slot name="c" />
    </section>
  </SplitPane>
</div>
